---
- name: Create clusterservice
  hosts: localhost
  connection: local
  become: false
  gather_facts: false
  roles:
    - name: Execute the clusterservice role to install clusterservice
      role: startxfr.sxcm.clusterservice
      vars: 
        sx_cs_action: "create"
        sx_cs_provider: "gitlab"
        sx_cs_name: "testcluster5"
        sx_cs_gitlab_api_url: "https://gitlab.com"
        # sx_cs_gitlab_api_token: "xxxxxxxxxxxxxxxxxxxxxxxxx" 
        sx_cs_gitlab_userspace: "startx-private/sxcm-clusters" 
        sx_cs_gitlab_groupid: "52959400"
        sx_cs_gitlab_keyname: "sxcm-world-startx"
        sx_cs_vault_enable: true
        sx_cs_vault_path: "clusters/data/{{ sx_cs_name }}/clusterservice"
        sx_cs_vault_cascadedelete: true